package model

import (
	"time"
)

type ResCountry struct {
	Code              string    `json:"code"`                // Code
	CreatedTime       time.Time `json:"created_time"`        // CreatedTime
	Icon              string    `json:"icon"`                // 图标
	Icon2             string    `json:"icon2"`               // 国旗2
	Id                int64     `json:"id"`                  // id
	IsCommon          int       `json:"is_common"`           // 是否常见
	IsDefault         int       `json:"is_default"`          // IsDefault
	Lang              string    `json:"lang"`                // 语言
	Name              string    `json:"name"`                // 名字
	Remarks           string    `json:"remarks"`             // 备注
	ShortName         string    `json:"short_name"`          // 缩写
	StandardShortName string    `json:"standard_short_name"` // 国际标准缩写
	Status            int       `json:"status"`              // Status
	UpdatedTime       time.Time `json:"updated_time"`        // UpdatedTime
}

func (r *ResCountry) TableName() string {
	return "res_country"
}
